### Enumeration

# Soup MessagePriority

#### Declaration

    enum Soup.MessagePriority

#### Description [src]

Priorities that can be set on a `SoupMessage` to instruct the message queue to process it before any other message with lower priority.

#### Members

`SOUP_MESSAGE_PRIORITY_VERY_LOW`

  The lowest priority, the messages with this priority will be the last ones to be attended.

  - Value: `0`
  - Available since: 3.0
`SOUP_MESSAGE_PRIORITY_LOW`

  Use this for low priority messages, a `SoupMessage` with the default priority will be processed first.

  - Value: `1`
  - Available since: 3.0
`SOUP_MESSAGE_PRIORITY_NORMAL`

  The default priotity, this is the priority assigned to the `SoupMessage` by default.

  - Value: `2`
  - Available since: 3.0
`SOUP_MESSAGE_PRIORITY_HIGH`

  High priority, a `SoupMessage` with this priority will be processed before the ones with the default priority.

  - Value: `3`
  - Available since: 3.0
`SOUP_MESSAGE_PRIORITY_VERY_HIGH`

  The highest priority, use this for very urgent `SoupMessage` as they will be the first ones to be attended.

  - Value: `4`
  - Available since: 3.0